

// Please read the manual to understand this file.

'opts' => array(
	// basic options
	'i' => 1, // include other code, 1=on
	'd' => 1+2, // replace defines, 1=user, 2=system, 4='DEVELOP & RELEASE'
	'r' => 1+2, // remove unused code, 1=on, 2=if(true/false)
	'p' => 1+2, // packit/fileloader, 1=on, 2=diable gzip, 4=disable base64
	'n' => 1+2, // name substituation, 1=on, 1=string
	'z' => 0, // compress output, 1=enable gzip, 2=enable base64 
	'c' => 1, // replace variable constants by 1=originals, 2=dummy
	
	'I' => './', // include path
	
	// in- & output -- uncomment before use
	// '-' => 'demo.php', // input
	// 'o' => 'out.php', // output
	
	// debug outputs -- uncomment before use
	// '1' => 'stage1.php',
	// '2' => 'stage2.php',
	// '3' => 'stage3.php',
	// '4' => 'stage4.php',
	// 'F' => 'files.php',
	// 'S' => 'scan.php',
),

// language constucts

'language' => array(
	'if', 'do', 'die',
),

// NEVER add $this or $GLOBALS anywhere in this config

'superglobal' => array(
	'_GET',
	'_POST',
	'_COOKIE',
	'_REQUEST',
	'_FILES',
	'_SERVER',
	'_ENV',
	'_SESSION',
),

// you may want to activate this globals if you're still working with
// register_globals, add all gloabls here...

'global' => array(
//	'*', // this array will be inverted with this line uncommented
	'argc',
	'argv', 
//	'HTTP_ENV_VARS',
//	'HTTP_GET_VARS',
//	'HTTP_POST_VARS',
//	'HTTP_POST_FILES',
//	'HTTP_COOKIE_VARS',
//	'HTTP_SERVER_VARS',
//	'HTTP_SESSION_VARS',
//	'PHP_SELF',
),

'local' => array(
),

'function' => array(
//	'*', // this array will be inverted with this line uncommented
),

'class' => array(
//	'*', // this array will be inverted with this line uncommented
),

'method' => array(
//	'*', // this array will be inverted with this line uncommented
),

'member' => array(
//	'*', // this array will be inverted with this line uncommented
),

'targets' => array(
	'RELEASE',
	'DEVELOP',
),
